Index: tools/merge-to-branch.sh |
diff --git a/tools/merge-to-branch.sh b/tools/merge-to-branch.sh |
index aa590a313ca096311e1d1b81c3b51087895e28ea..6794add8828dcdb728a451f161709f1008f310da 100755 |
--- a/tools/merge-to-branch.sh |
+++ b/tools/merge-to-branch.sh |
@@ -206,7 +206,7 @@ your EDITOR on $VERSION_FILE so you can make arbitrary changes. When \ |
you're done, save the file and exit your EDITOR.)" |
if [ $? -eq 0 ] ; then |
sed -e "/#define PATCH_LEVEL/s/[0-9]*$/$NEWPATCH/" \ |
- -i "$VERSION_FILE" |
+ -i.bak "$VERSION_FILE" || die "Could not increment patch level" |
else |
$EDITOR "$VERSION_FILE" |
fi |